package body MSHTML.IHTMLFrameSetElement3_Object is

   procedure Put_onhashchange
     (This : IHTMLFrameSetElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement3_Put_onhashchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onhashchange;

   function Get_onhashchange
     (This : IHTMLFrameSetElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement3_Get_onhashchange);
   end Get_onhashchange;

   procedure Put_onmessage
     (This : IHTMLFrameSetElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement3_Put_onmessage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmessage;

   function Get_onmessage
     (This : IHTMLFrameSetElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement3_Get_onmessage);
   end Get_onmessage;

   procedure Put_onoffline
     (This : IHTMLFrameSetElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement3_Put_onoffline,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onoffline;

   function Get_onoffline
     (This : IHTMLFrameSetElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement3_Get_onoffline);
   end Get_onoffline;

   procedure Put_ononline
     (This : IHTMLFrameSetElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement3_Put_ononline,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ononline;

   function Get_ononline
     (This : IHTMLFrameSetElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement3_Get_ononline);
   end Get_ononline;

   procedure Put_onstorage
     (This : IHTMLFrameSetElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement3_Put_onstorage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onstorage;

   function Get_onstorage
     (This : IHTMLFrameSetElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement3_Get_onstorage);
   end Get_onstorage;

end MSHTML.IHTMLFrameSetElement3_Object;

